# ORTValueTypeInfo Class Reference

# ORTValueTypeInfo

Objective-C

    @interface ORTValueTypeInfo : NSObject

Swift

    class ORTValueTypeInfo : NSObject

A value’s type information.

- `type`

  The value type.

  #### Declaration

  Objective-C

      @property (nonatomic) ORTValueType type;

  Swift

      var type: ORTValueType { get set }

- `tensorTypeAndShapeInfo`

  The tensor type and shape information, if the value is a tensor.

  #### Declaration

  Objective-C

      @property (nonatomic, nullable) ORTTensorTypeAndShapeInfo *tensorTypeAndShapeInfo;

  Swift

      var tensorTypeAndShapeInfo: ORTTensorTypeAndShapeInfo? { get set }

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.